Public link for latest version of XCS on general release.


Please ensure you have current Software Assurance enabled (or a support contract) for the Site ID before attempting the upgrade or you will not be able to license the software and the services will not run.


Please make sure that the Server and PBX infrastructure meet the requirements before carrying out an upgrade: https://edocs.xarios.com/xcslatest/#System_Requirements.html 


We recommend a full backup of the SQL Databases is carried out before any upgrade work is attempted.

Only a Xarios Call Recorder trained Engineer should attempt an upgrade. If an upgrade is attempted by non-trained engineer and it fails for whatever reason then our standard charges would apply whilst we attempt to fix it.


Here is the Public link >> XCS version 4.0.4951.1


Here are the Synway Voicecard Drivers for this version of software, should you require them separately >> Synway_5430